> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Queued Batch Dials

> Lists all rows that are queued as part of the batch job.



## OpenAPI

````yaml get /batch_dial_jobs/{id}/queue
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /batch_dial_jobs/{id}/queue:
    get:
      summary: List Queued Batch Dials
      description: Lists all rows that are queued as part of the batch job.
      operationId: listBatchDialJobQueue
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the batch dial job.
        - in: query
          name: limit
          schema:
            type: integer
          required: false
          description: The number of specs to return.
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: The cursor for pagination.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBatchDialSpecsResult'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    ListBatchDialSpecsResult:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BatchDialSpec'
        cursor:
          type: string
          nullable: true
      required:
        - data
        - cursor
    BatchDialSpec:
      type: object
      properties:
        id:
          type: string
        inputs:
          type: object
          additionalProperties: {}
          x-go-type-skip-optional-pointer: true
        toNumber:
          type: string
        batchDialJobId:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - toNumber
        - batchDialJobId
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````